Index: svn/src/Kconfig
===================================================================
--- svn.orig/src/Kconfig
+++ svn/src/Kconfig
@@ -40,10 +40,6 @@ config CBFS
 	bool
 	default y
 
-config HAVE_HIGH_TABLES
-	bool
-	default y
-
 config PCI_BUS_SEGN_BITS
 	int
 	default 0
@@ -136,10 +132,6 @@ config LB_MEM_TOPK
 	int
 	default 2048
 
-config MULTIBOOT
-	bool
-	default n
-
 config COMPRESSED_PAYLOAD_LZMA
 	bool
 	default y
@@ -158,10 +150,6 @@ config ACPI_SSDTX_NUM
 	int
 	default 0
 
-config HAVE_ACPI_TABLES
-	bool
-	default n
-
 config HAVE_FALLBACK_BOOT
 	bool
 	default y
@@ -186,18 +174,10 @@ config HAVE_MOVNTI
 	bool
 	default y
 
-config HAVE_MP_TABLE
-	bool
-	default n
-
 config HAVE_OPTION_TABLE
 	bool
 	default y
 
-config HAVE_PIRQ_TABLE
-	bool
-	default n
-
 config PIRQ_ROUTE
 	bool
 	default n
@@ -219,6 +199,30 @@ config IOAPIC
 # 
 # endmenu
 
+menu "Generated System Tables"
+
+config HAVE_HIGH_TABLES
+	bool "Write 'high' tables to avoid being overwritten in F segment"
+	default y
+
+config MULTIBOOT
+	bool "Add Multiboot tables (for grub2)"
+	default n
+
+config HAVE_ACPI_TABLES
+	bool "Generate ACPI tables"
+	default n
+
+config HAVE_MP_TABLE
+	bool "Generate an MP table"
+	default n
+
+config HAVE_PIRQ_TABLE
+	bool "Generate a PIRQ table"
+	default n
+
+endmenu
+
 menu "Payload"
 
 config COMPRESSED_PAYLOAD_LZMA
Index: svn/src/northbridge/intel/i82810/Kconfig
===================================================================
--- svn.orig/src/northbridge/intel/i82810/Kconfig
+++ svn/src/northbridge/intel/i82810/Kconfig
@@ -18,11 +18,6 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-config HAVE_HIGH_TABLES
-	bool "Do we have high tables"
-	default y
-
 config NORTHBRIDGE_INTEL_I82810
 	bool
 	default n
-
